Subject: Re: comment about struct tcp_tw_bucket in struct sock

From: "David S. Miller" <[email-masked]>
Date: Wed, 14 May 2003 13:02:32 -0700 (PDT)

From: Andi Kleen <[email-masked]>
   Date: Wed, 14 May 2003 21:57:31 +0200

   When they cut'n'paste structures they're completely on their own ...
   
Depends upon who's willing to support them.

   I hope you will never let stop such an omnious third party module
   you from doing any bug fix or optimization.
   
Aha, you're right and _I_ don't need to worry about this.  I'm merely
saying some vendor's _might_. :-)

But see, since it only matters in the main kernel, every attempt to
change the layout of struct sock will go through me before it hits the
vanilla tree, so as a result I'll catch such problems and we thus have
no problems :-)

You can't have it both ways Andi, either we care about arbitrary third
parties do or we don't.